CREATE SEQUENCE seq_wz_id start 1 increment 1;

CREATE TABLE wz(
	wz_id int default nextval('seq_wz_id'),
	nr_wz text UNIQUE,
	nazwa_firmy text,
	nip_firmy text,
	data_wysylki date,
	data_wystawienia date,
	zamowienie text,
	wysylka_na_koszt text,
	magazyn_nr text,
	srodek_transportu text
);

GRANT ALL ON wz TO ksiegowy;
GRANT ALL ON seq_wz_id TO ksiegowy;

