

/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */

#include <gtk/gtk.h>
#include "callbacks.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>

  GtkWidget *data_inwest_entry;
  GtkWidget *nazwa_inwest_entry;
  GtkWidget *wartosc_inwest_entry;
  GtkWidget *podatek_inwest_entry;

void
inwest (GtkWidget *window1, GtkWidget *fixed1)
{
  GtkWidget *notebook1;
  GtkWidget *fixed2;
  GtkWidget *label3;
  GtkWidget *label2;
  GtkWidget *label4;
  extern GtkWidget *data_inwest_entry;
  extern GtkWidget *nazwa_inwest_entry;
  extern GtkWidget *wartosc_inwest_entry;
  extern GtkWidget *podatek_inwest_entry;
  GtkWidget *label8;
  GtkWidget *label6;
  GtkWidget *label1;
  GtkWidget *button1;
  GtkWidget *label7;

  gtk_widget_show (fixed1);

  notebook1 = gtk_notebook_new ();
  gtk_widget_ref (notebook1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "notebook1", notebook1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (notebook1);
  gtk_fixed_put (GTK_FIXED (fixed1), notebook1, 48, 24);
  gtk_widget_set_uposition (notebook1, 16, 8);
  gtk_widget_set_usize (notebook1, 644, 568);

  fixed2 = gtk_fixed_new ();
  gtk_widget_ref (fixed2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "fixed2", fixed2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (fixed2);
  gtk_container_add (GTK_CONTAINER (notebook1), fixed2);

  label3 = gtk_label_new (("Warto brutto :"));
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_fixed_put (GTK_FIXED (fixed2), label3, 24, 64);
  gtk_widget_set_uposition (label3, 24, 64);
  gtk_widget_set_usize (label3, 150, 40);

  label2 = gtk_label_new (("Nazwa inwestycji :"));
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_fixed_put (GTK_FIXED (fixed2), label2, 32, 32);
  gtk_widget_set_uposition (label2, 32, 32);
  gtk_widget_set_usize (label2, 150, 40);

  label4 = gtk_label_new (("Podatek Vat [%] :"));
  gtk_widget_ref (label4);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label4", label4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label4);
  gtk_fixed_put (GTK_FIXED (fixed2), label4, 32, 96);
  gtk_widget_set_uposition (label4, 32, 96);
  gtk_widget_set_usize (label4, 144, 40);

  data_inwest_entry = gtk_entry_new ();
  gtk_widget_ref (data_inwest_entry);
  gtk_object_set_data_full (GTK_OBJECT (window1), "data_inwest_entry", data_inwest_entry,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (data_inwest_entry);
  gtk_fixed_put (GTK_FIXED (fixed2), data_inwest_entry, 168, 8);
  gtk_widget_set_uposition (data_inwest_entry, 168, 8);
  gtk_widget_set_usize (data_inwest_entry, 120, 24);

  nazwa_inwest_entry = gtk_entry_new ();
  gtk_widget_ref (nazwa_inwest_entry);
  gtk_object_set_data_full (GTK_OBJECT (window1), "nazwa_inwest_entry", nazwa_inwest_entry,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (nazwa_inwest_entry);
  gtk_fixed_put (GTK_FIXED (fixed2), nazwa_inwest_entry, 168, 40);
  gtk_widget_set_uposition (nazwa_inwest_entry, 168, 40);
  gtk_widget_set_usize (nazwa_inwest_entry, 232, 24);

  wartosc_inwest_entry = gtk_entry_new ();
  gtk_widget_ref (wartosc_inwest_entry);
  gtk_object_set_data_full (GTK_OBJECT (window1), "wartosc_inwest_entry", wartosc_inwest_entry,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (wartosc_inwest_entry);
  gtk_fixed_put (GTK_FIXED (fixed2), wartosc_inwest_entry, 168, 72);
  gtk_widget_set_uposition (wartosc_inwest_entry, 168, 72);
  gtk_widget_set_usize (wartosc_inwest_entry, 120, 24);

  podatek_inwest_entry = gtk_entry_new ();
  gtk_widget_ref (podatek_inwest_entry);
  gtk_object_set_data_full (GTK_OBJECT (window1), "podatek_inwest_entry", podatek_inwest_entry,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (podatek_inwest_entry);
  gtk_fixed_put (GTK_FIXED (fixed2), podatek_inwest_entry, 168, 104);
  gtk_widget_set_uposition (podatek_inwest_entry, 168, 104);
  gtk_widget_set_usize (podatek_inwest_entry, 40, 22);

  label8 = gtk_label_new (("z"));
  gtk_widget_ref (label8);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label8", label8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label8);
  gtk_fixed_put (GTK_FIXED (fixed2), label8, 280, 72);
  gtk_widget_set_uposition (label8, 280, 72);
  gtk_widget_set_usize (label8, 40, 24);

  label6 = gtk_label_new (("%"));
  gtk_widget_ref (label6);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label6", label6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label6);
  gtk_fixed_put (GTK_FIXED (fixed2), label6, 200, 104);
  gtk_widget_set_uposition (label6, 200, 104);
  gtk_widget_set_usize (label6, 32, 24);

  label1 = gtk_label_new (("Data :"));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_fixed_put (GTK_FIXED (fixed2), label1, 0, 0);
  gtk_widget_set_uposition (label1, 0, 0);
  gtk_widget_set_usize (label1, 144, 40);

  button1 = gtk_button_new_with_label (("DODAJ INWESTYCJE"));
  gtk_widget_ref (button1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button1", button1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button1);
  gtk_fixed_put (GTK_FIXED (fixed2), button1, 56, 152);
  gtk_widget_set_uposition (button1, 56, 152);
  gtk_widget_set_usize (button1, 152, 48);

  label7 = gtk_label_new (("Dodaj inwestycje"));
  gtk_widget_ref (label7);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label7", label7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label7);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 0), label7);

  gtk_signal_connect_object(GTK_OBJECT(button1), "clicked", GTK_SIGNAL_FUNC(dodaj_inwest), NULL);
}

